# Uses of Enum Class
org.springframework.expression.spel.SpelMessage

Packages that use SpelMessage
Package
Description
org.springframework.expression.spel
SpEL's central implementation package.

## Uses of SpelMessage in org.springframework.expression.spel

Methods in org.springframework.expression.spel that return SpelMessage
Modifier and Type
Method
Description
`SpelMessage`
SpelEvaluationException.`getMessageCode()`
Return the message code.
`SpelMessage`
SpelParseException.`getMessageCode()`
Return the message code.
`static SpelMessage`
SpelMessage.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SpelMessage[]`
SpelMessage.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.springframework.expression.spel with parameters of type SpelMessage
Modifier
Constructor
Description
``
`SpelEvaluationException(int position, Throwable cause, SpelMessage message, Object... inserts)`
``
`SpelEvaluationException(int position, SpelMessage message, Object... inserts)`
``
`SpelEvaluationException(Throwable cause, SpelMessage message, Object... inserts)`
``
`SpelEvaluationException(SpelMessage message, Object... inserts)`
``
`SpelParseException(int position, Throwable cause, SpelMessage message, Object... inserts)`
``
`SpelParseException(int position, SpelMessage message, Object... inserts)`
``
`SpelParseException(String expressionString, int position, SpelMessage message, Object... inserts)`